

<!DOCTYPE html>
<html class="writer-html5" lang="en" data-content_root="../../">
<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>gwmat.conversion &mdash; GWMAT: Gravitational Wave Microlensing Analysis Tools 1.0.0 documentation</title>
      <link rel="stylesheet" type="text/css" href="../../_static/pygments.css?v=80d5e7a1" />
      <link rel="stylesheet" type="text/css" href="../../_static/css/theme.css?v=7ab3649f" />

  
      <script src="../../_static/jquery.js?v=5d32c60e"></script>
      <script src="../../_static/_sphinx_javascript_frameworks_compat.js?v=2cd50e6c"></script>
      <script src="../../_static/documentation_options.js?v=8d563738"></script>
      <script src="../../_static/doctools.js?v=9a2dae69"></script>
      <script src="../../_static/sphinx_highlight.js?v=dc90522c"></script>
    <script src="../../_static/js/theme.js"></script>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="../../index.html" class="icon icon-home">
            GWMAT: Gravitational Wave Microlensing Analysis Tools
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul>
<li class="toctree-l1"><a class="reference internal" href="../../gwmat.html">gwmat package</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../index.html">GWMAT: Gravitational Wave Microlensing Analysis Tools</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="../../index.html" class="icon icon-home" aria-label="Home"></a></li>
          <li class="breadcrumb-item"><a href="../index.html">Module code</a></li>
          <li class="breadcrumb-item"><a href="../gwmat.html">gwmat</a></li>
      <li class="breadcrumb-item active">gwmat.conversion</li>
      <li class="wy-breadcrumbs-aside">
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <h1>Source code for gwmat.conversion</h1><div class="highlight"><pre>
<span></span><span class="sd">&quot;&quot;&quot;</span>
<span class="sd">This module contains the class `CBCParameterConversion`, which provides</span>
<span class="sd">useful functions for converting parameters related to binary systems.</span>
<span class="sd">&quot;&quot;&quot;</span>

<span class="n">__author__</span> <span class="o">=</span> <span class="p">[</span><span class="s2">&quot;Anuj Mishra &lt;anuj.mishra@ligo.org&gt;&quot;</span><span class="p">]</span>


<div class="viewcode-block" id="CBCParameterConversion">
<a class="viewcode-back" href="../../gwmat.html#gwmat.conversion.CBCParameterConversion">[docs]</a>
<span class="k">class</span> <span class="nc">CBCParameterConversion</span><span class="p">:</span>
<span class="w">    </span><span class="sd">&quot;&quot;&quot;</span>
<span class="sd">    Contains functions related to parameter conversions relevant for binaries.</span>

<span class="sd">    &quot;&quot;&quot;</span>

<div class="viewcode-block" id="CBCParameterConversion.component_masses_to_chirp_mass">
<a class="viewcode-back" href="../../gwmat.html#gwmat.conversion.CBCParameterConversion.component_masses_to_chirp_mass">[docs]</a>
    <span class="k">def</span> <span class="nf">component_masses_to_chirp_mass</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">m1</span><span class="p">,</span> <span class="n">m2</span><span class="p">):</span>
<span class="w">        </span><span class="sd">&quot;&quot;&quot;</span>
<span class="sd">        Returns the chirp mass corresponding to the binary component masses.</span>

<span class="sd">        Parameters</span>
<span class="sd">        ----------</span>
<span class="sd">        m1 : float</span>
<span class="sd">            Mass of the first component of the binary, in Msun.</span>
<span class="sd">        m2 : float</span>
<span class="sd">            Mass of the second component of the binary, in Msun.</span>

<span class="sd">        Returns</span>
<span class="sd">        -------</span>
<span class="sd">        float</span>
<span class="sd">            Chirp mass, in Msun.</span>

<span class="sd">        &quot;&quot;&quot;</span>

        <span class="k">return</span> <span class="p">(</span><span class="n">m1</span> <span class="o">*</span> <span class="n">m2</span><span class="p">)</span> <span class="o">**</span> <span class="p">(</span><span class="mi">3</span> <span class="o">/</span> <span class="mf">5.0</span><span class="p">)</span> <span class="o">/</span> <span class="p">(</span><span class="n">m1</span> <span class="o">+</span> <span class="n">m2</span><span class="p">)</span> <span class="o">**</span> <span class="p">(</span><span class="mi">1</span> <span class="o">/</span> <span class="mf">5.0</span><span class="p">)</span></div>


<div class="viewcode-block" id="CBCParameterConversion.component_masses_to_mass_ratio">
<a class="viewcode-back" href="../../gwmat.html#gwmat.conversion.CBCParameterConversion.component_masses_to_mass_ratio">[docs]</a>
    <span class="k">def</span> <span class="nf">component_masses_to_mass_ratio</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">m1</span><span class="p">,</span> <span class="n">m2</span><span class="p">):</span>
<span class="w">        </span><span class="sd">&quot;&quot;&quot;</span>
<span class="sd">        Returns the mass ratio of the binary component masses.</span>
<span class="sd">        Convention: q = m_secondary/m_primary &lt; 1</span>

<span class="sd">        Parameters</span>
<span class="sd">        ----------</span>
<span class="sd">        m1 : float</span>
<span class="sd">            Mass of the first component of the binary, in Msun.</span>
<span class="sd">        m2 : float</span>
<span class="sd">            Mass of the second component of the binary, in Msun.</span>

<span class="sd">        Returns</span>
<span class="sd">        -------</span>
<span class="sd">        float, &lt; 1.0</span>
<span class="sd">            Mass ratio.</span>

<span class="sd">        &quot;&quot;&quot;</span>

        <span class="k">return</span> <span class="nb">min</span><span class="p">(</span><span class="n">m1</span><span class="p">,</span> <span class="n">m2</span><span class="p">)</span> <span class="o">/</span> <span class="nb">max</span><span class="p">(</span><span class="n">m1</span><span class="p">,</span> <span class="n">m2</span><span class="p">)</span></div>


<div class="viewcode-block" id="CBCParameterConversion.chirp_mass_and_mass_ratio_to_component_masses">
<a class="viewcode-back" href="../../gwmat.html#gwmat.conversion.CBCParameterConversion.chirp_mass_and_mass_ratio_to_component_masses">[docs]</a>
    <span class="k">def</span> <span class="nf">chirp_mass_and_mass_ratio_to_component_masses</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">m_chirp</span><span class="p">,</span> <span class="n">q</span><span class="p">):</span>
<span class="w">        </span><span class="sd">&quot;&quot;&quot;</span>
<span class="sd">        Converts a given chirp mass and mass ratio</span>
<span class="sd">        to the binary component masses.</span>

<span class="sd">        Parameters</span>
<span class="sd">        ----------</span>
<span class="sd">        m_chirp : float</span>
<span class="sd">            Chirp mass of the binary.</span>
<span class="sd">        q : float</span>
<span class="sd">            Mass ratio of the binary.</span>

<span class="sd">        Returns</span>
<span class="sd">        -------</span>
<span class="sd">        float, float</span>
<span class="sd">            The binary component masses</span>

<span class="sd">        &quot;&quot;&quot;</span>

        <span class="n">m2</span> <span class="o">=</span> <span class="p">(</span><span class="n">m_chirp</span> <span class="o">*</span> <span class="p">(</span><span class="mf">1.0</span> <span class="o">+</span> <span class="n">q</span><span class="p">)</span> <span class="o">**</span> <span class="p">(</span><span class="mi">1</span> <span class="o">/</span> <span class="mf">5.0</span><span class="p">))</span> <span class="o">/</span> <span class="n">q</span> <span class="o">**</span> <span class="p">(</span><span class="mi">3</span> <span class="o">/</span> <span class="mf">5.0</span><span class="p">)</span>
        <span class="n">m1</span> <span class="o">=</span> <span class="n">q</span> <span class="o">*</span> <span class="n">m2</span>
        <span class="k">return</span> <span class="n">m1</span><span class="p">,</span> <span class="n">m2</span></div>


<div class="viewcode-block" id="CBCParameterConversion.component_masses_to_symmetric_mass_ratio">
<a class="viewcode-back" href="../../gwmat.html#gwmat.conversion.CBCParameterConversion.component_masses_to_symmetric_mass_ratio">[docs]</a>
    <span class="k">def</span> <span class="nf">component_masses_to_symmetric_mass_ratio</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">m1</span><span class="p">,</span> <span class="n">m2</span><span class="p">):</span>  <span class="c1"># symmetric mass ratio</span>
<span class="w">        </span><span class="sd">&quot;&quot;&quot;</span>
<span class="sd">        Returns the symmetric mass ratio for a given binary system.</span>

<span class="sd">        Parameters</span>
<span class="sd">        ----------</span>
<span class="sd">        m1 : float</span>
<span class="sd">            Mass of the first component of the binary, in Msun.</span>
<span class="sd">        m2 : float</span>
<span class="sd">            Mass of the second component of the binary, in Msun.</span>

<span class="sd">        Returns</span>
<span class="sd">        -------</span>
<span class="sd">        float, &lt; 0.25</span>
<span class="sd">            The symmetric mass ratio.</span>

<span class="sd">        &quot;&quot;&quot;</span>

        <span class="k">return</span> <span class="n">m1</span> <span class="o">*</span> <span class="n">m2</span> <span class="o">/</span> <span class="p">(</span><span class="n">m1</span> <span class="o">+</span> <span class="n">m2</span><span class="p">)</span> <span class="o">**</span> <span class="mi">2</span></div>


<div class="viewcode-block" id="CBCParameterConversion.component_masses_and_aligned_spins_to_chi_eff">
<a class="viewcode-back" href="../../gwmat.html#gwmat.conversion.CBCParameterConversion.component_masses_and_aligned_spins_to_chi_eff">[docs]</a>
    <span class="k">def</span> <span class="nf">component_masses_and_aligned_spins_to_chi_eff</span><span class="p">(</span>
        <span class="bp">self</span><span class="p">,</span> <span class="n">m1</span><span class="p">,</span> <span class="n">m2</span><span class="p">,</span> <span class="n">sz1</span><span class="p">,</span> <span class="n">sz2</span>
    <span class="p">):</span>  <span class="c1"># effective spin</span>
<span class="w">        </span><span class="sd">&quot;&quot;&quot;</span>
<span class="sd">        Returns the effective spin as a function of the</span>
<span class="sd">        componenet masses and aligned spin vlaues.</span>

<span class="sd">        Parameters</span>
<span class="sd">        ----------</span>
<span class="sd">        m1 : float</span>
<span class="sd">            Mass of the first component of the binary, in Msun.</span>
<span class="sd">        m2 : float</span>
<span class="sd">            Mass of the second component of the binary, in Msun.</span>
<span class="sd">        sz1 : float, &lt; 1.</span>
<span class="sd">            z-component of the spin of the first component of the binary.</span>
<span class="sd">        sz2 : float, &lt; 1.</span>
<span class="sd">            z-component of the spin of the second component of the binary.</span>

<span class="sd">        Returns</span>
<span class="sd">        -------</span>
<span class="sd">        float</span>
<span class="sd">            The effective spin (chi_eff) of the binary.</span>

<span class="sd">        &quot;&quot;&quot;</span>

        <span class="k">return</span> <span class="p">(</span><span class="n">m1</span> <span class="o">*</span> <span class="n">sz1</span> <span class="o">+</span> <span class="n">m2</span> <span class="o">*</span> <span class="n">sz2</span><span class="p">)</span> <span class="o">/</span> <span class="p">(</span><span class="n">m1</span> <span class="o">+</span> <span class="n">m2</span><span class="p">)</span></div>


<div class="viewcode-block" id="CBCParameterConversion.mchirp_q_aligned_spins_to_chi_eff">
<a class="viewcode-back" href="../../gwmat.html#gwmat.conversion.CBCParameterConversion.mchirp_q_aligned_spins_to_chi_eff">[docs]</a>
    <span class="k">def</span> <span class="nf">mchirp_q_aligned_spins_to_chi_eff</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">m_chirp</span><span class="p">,</span> <span class="n">q</span><span class="p">,</span> <span class="n">sz1</span><span class="p">,</span> <span class="n">sz2</span><span class="p">):</span>
<span class="w">        </span><span class="sd">&quot;&quot;&quot;</span>
<span class="sd">        Returns the effective spin as a function of the</span>
<span class="sd">        chirp mass and mass ratio of the binary.</span>

<span class="sd">        Parameters</span>
<span class="sd">        ----------</span>
<span class="sd">        m_chirp : float</span>
<span class="sd">            The chirp mass of the binary.</span>
<span class="sd">        q : float</span>
<span class="sd">            The mass ratio of the binary.</span>
<span class="sd">        sz1 : float, &lt; 1.</span>
<span class="sd">            z-component of the spin of the first component of the binary.</span>
<span class="sd">        sz2 : float, &lt; 1.</span>
<span class="sd">            z-component of the spin of the second component of the binary.</span>

<span class="sd">        Returns</span>
<span class="sd">        -------</span>
<span class="sd">        float</span>
<span class="sd">            The effective spin (chi_eff) of the binary.</span>

<span class="sd">        &quot;&quot;&quot;</span>

        <span class="n">m1</span><span class="p">,</span> <span class="n">m2</span> <span class="o">=</span> <span class="bp">self</span><span class="o">.</span><span class="n">chirp_mass_and_mass_ratio_to_component_masses</span><span class="p">(</span><span class="n">m_chirp</span><span class="p">,</span> <span class="n">q</span><span class="p">)</span>
        <span class="k">return</span> <span class="p">(</span><span class="n">m1</span> <span class="o">*</span> <span class="n">sz1</span> <span class="o">+</span> <span class="n">m2</span> <span class="o">*</span> <span class="n">sz2</span><span class="p">)</span> <span class="o">/</span> <span class="p">(</span><span class="n">m1</span> <span class="o">+</span> <span class="n">m2</span><span class="p">)</span></div>


<div class="viewcode-block" id="CBCParameterConversion.mchirp_and_eta_to_component_masses">
<a class="viewcode-back" href="../../gwmat.html#gwmat.conversion.CBCParameterConversion.mchirp_and_eta_to_component_masses">[docs]</a>
    <span class="k">def</span> <span class="nf">mchirp_and_eta_to_component_masses</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">m_chirp</span><span class="p">,</span> <span class="n">eta</span><span class="p">):</span>
<span class="w">        </span><span class="sd">&quot;&quot;&quot;</span>
<span class="sd">        Converts a given chirp mass and symmetric mass ratio</span>
<span class="sd">        of the binary to the individual componenet masses.</span>

<span class="sd">        Parameters</span>
<span class="sd">        ----------</span>
<span class="sd">        m_chirp : float</span>
<span class="sd">            The chirp mass of the binary.</span>
<span class="sd">        eta : float</span>
<span class="sd">            The symmetric mass ratio of the binary (0&lt; eta &lt;=0.25).</span>

<span class="sd">        Returns</span>
<span class="sd">        -------</span>
<span class="sd">        float, float</span>
<span class="sd">            Binary componenet masses</span>

<span class="sd">        &quot;&quot;&quot;</span>

        <span class="k">assert</span> <span class="p">(</span>
            <span class="n">eta</span> <span class="o">&lt;=</span> <span class="mf">0.25</span>
        <span class="p">),</span> <span class="sa">f</span><span class="s2">&quot;Symmetric mass ratio should lie between 0 and 0.25, but the given eta was </span><span class="si">{</span><span class="n">eta</span><span class="si">}</span><span class="s2">&quot;</span>
        <span class="n">mtot</span> <span class="o">=</span> <span class="n">m_chirp</span> <span class="o">*</span> <span class="n">eta</span> <span class="o">**</span> <span class="p">(</span><span class="o">-</span><span class="mi">3</span> <span class="o">/</span> <span class="mi">5</span><span class="p">)</span>
        <span class="n">m1</span> <span class="o">=</span> <span class="mf">0.5</span> <span class="o">*</span> <span class="n">mtot</span> <span class="o">*</span> <span class="p">(</span><span class="mi">1</span> <span class="o">+</span> <span class="p">(</span><span class="mi">1</span> <span class="o">-</span> <span class="mi">4</span> <span class="o">*</span> <span class="n">eta</span><span class="p">)</span> <span class="o">**</span> <span class="mf">0.5</span><span class="p">)</span>
        <span class="n">m2</span> <span class="o">=</span> <span class="mf">0.5</span> <span class="o">*</span> <span class="n">mtot</span> <span class="o">*</span> <span class="p">(</span><span class="mi">1</span> <span class="o">-</span> <span class="p">(</span><span class="mi">1</span> <span class="o">-</span> <span class="mi">4</span> <span class="o">*</span> <span class="n">eta</span><span class="p">)</span> <span class="o">**</span> <span class="mf">0.5</span><span class="p">)</span>
        <span class="k">return</span> <span class="n">m1</span><span class="p">,</span> <span class="n">m2</span></div>


<div class="viewcode-block" id="CBCParameterConversion.total_mass_and_mass_ratio_to_component_masses">
<a class="viewcode-back" href="../../gwmat.html#gwmat.conversion.CBCParameterConversion.total_mass_and_mass_ratio_to_component_masses">[docs]</a>
    <span class="k">def</span> <span class="nf">total_mass_and_mass_ratio_to_component_masses</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">mtot</span><span class="p">,</span> <span class="n">q</span><span class="p">):</span>
<span class="w">        </span><span class="sd">&quot;&quot;&quot;</span>
<span class="sd">        Converts a given total mass and mass ratio of the binary to the</span>
<span class="sd">        individual componenet masses.</span>

<span class="sd">        Parameters</span>
<span class="sd">        ----------</span>
<span class="sd">        mtot : float</span>
<span class="sd">            The total mass of the binary.</span>
<span class="sd">        q : float</span>
<span class="sd">            The mass ratio of the binary.</span>

<span class="sd">        Returns</span>
<span class="sd">        -------</span>
<span class="sd">        float, float</span>
<span class="sd">            Binary componenet masses.</span>

<span class="sd">        &quot;&quot;&quot;</span>

        <span class="n">m1</span> <span class="o">=</span> <span class="n">mtot</span> <span class="o">/</span> <span class="p">(</span><span class="mi">1</span> <span class="o">+</span> <span class="n">q</span><span class="p">)</span>
        <span class="n">m2</span> <span class="o">=</span> <span class="n">q</span> <span class="o">*</span> <span class="n">m1</span>
        <span class="k">return</span> <span class="nb">max</span><span class="p">(</span><span class="n">m1</span><span class="p">,</span> <span class="n">m2</span><span class="p">),</span> <span class="nb">min</span><span class="p">(</span><span class="n">m1</span><span class="p">,</span> <span class="n">m2</span><span class="p">)</span></div>


<div class="viewcode-block" id="CBCParameterConversion.total_mass_and_mass_ratio_to_chirp_mass">
<a class="viewcode-back" href="../../gwmat.html#gwmat.conversion.CBCParameterConversion.total_mass_and_mass_ratio_to_chirp_mass">[docs]</a>
    <span class="k">def</span> <span class="nf">total_mass_and_mass_ratio_to_chirp_mass</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">mtot</span><span class="p">,</span> <span class="n">q</span><span class="p">):</span>
<span class="w">        </span><span class="sd">&quot;&quot;&quot;</span>
<span class="sd">        Converts a given total mass and mass ratio</span>
<span class="sd">        of the binary to its chirp mass.</span>

<span class="sd">        Parameters</span>
<span class="sd">        ----------</span>
<span class="sd">        mtot : float</span>
<span class="sd">            The total mass of the binary.</span>
<span class="sd">        q : float</span>
<span class="sd">            The mass ratio of the binary.</span>

<span class="sd">        Returns</span>
<span class="sd">        -------</span>
<span class="sd">        float</span>
<span class="sd">            Chirp mass of the binary.</span>

<span class="sd">        &quot;&quot;&quot;</span>

        <span class="n">m1</span> <span class="o">=</span> <span class="n">mtot</span> <span class="o">/</span> <span class="p">(</span><span class="mi">1</span> <span class="o">+</span> <span class="n">q</span><span class="p">)</span>
        <span class="n">m2</span> <span class="o">=</span> <span class="n">q</span> <span class="o">*</span> <span class="n">m1</span>
        <span class="k">return</span> <span class="bp">self</span><span class="o">.</span><span class="n">component_masses_to_chirp_mass</span><span class="p">(</span><span class="n">m1</span><span class="p">,</span> <span class="n">m2</span><span class="p">)</span></div>


<div class="viewcode-block" id="CBCParameterConversion.component_masses_to_total_mass_and_mass_ratio">
<a class="viewcode-back" href="../../gwmat.html#gwmat.conversion.CBCParameterConversion.component_masses_to_total_mass_and_mass_ratio">[docs]</a>
    <span class="k">def</span> <span class="nf">component_masses_to_total_mass_and_mass_ratio</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">m1</span><span class="p">,</span> <span class="n">m2</span><span class="p">):</span>
<span class="w">        </span><span class="sd">&quot;&quot;&quot;</span>
<span class="sd">        Converts a given binary componenet masses</span>
<span class="sd">        to its total mass and mass ratio.</span>

<span class="sd">        Parameters</span>
<span class="sd">        ----------</span>
<span class="sd">        m1 : float</span>
<span class="sd">            Mass of the first component of the binary, in Msun.</span>
<span class="sd">        m2 : float</span>
<span class="sd">            Mass of the second component of the binary, in Msun.</span>

<span class="sd">        Returns</span>
<span class="sd">        -------</span>
<span class="sd">        total mass : float</span>
<span class="sd">            Total mass of the binary.</span>
<span class="sd">        mass ratio : float</span>
<span class="sd">            Mass ratio of the binary.</span>

<span class="sd">        &quot;&quot;&quot;</span>

        <span class="k">if</span> <span class="n">m1</span> <span class="o">&gt;=</span> <span class="n">m2</span><span class="p">:</span>
            <span class="n">q</span> <span class="o">=</span> <span class="n">m2</span> <span class="o">/</span> <span class="n">m1</span>
        <span class="k">else</span><span class="p">:</span>
            <span class="n">q</span> <span class="o">=</span> <span class="n">m1</span> <span class="o">/</span> <span class="n">m2</span>
        <span class="k">return</span> <span class="n">m1</span> <span class="o">+</span> <span class="n">m2</span><span class="p">,</span> <span class="n">q</span></div>
</div>

</pre></div>

           </div>
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2023, Anuj Mishra.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>